//
//  OATOSAuthCredentialProvider.h
//  Pods
//
//  Created by wombat on 2022/5/12.
//

#ifndef OATOSAuthCredentialProvider_h
#define OATOSAuthCredentialProvider_h

#import <AliyunOSSiOS/AliyunOSSiOS.h>

@interface OATOSAuthCredentialProvider : OSSFederationCredentialProvider
@property (nonatomic, copy) NSString * authServerUrl;
@property (nonatomic, copy) NSString * authorization;
@property (nonatomic, copy) NSData * (^responseDecoder)(NSData *);
- (instancetype)initWithAuthServerUrl:(NSString *)authServerUrl auhtorization:(NSString *)authorization;
- (instancetype)initWithAuthServerUrl:(NSString *)authServerUrl authorization:(NSString *)authorization responseDecoder:(nullable OSSResponseDecoderBlock)decoder;
@end

#endif /* OATOSAuthCredentialProvider_h */
